## ros-melodic-quaternion-operation 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(quaternion_operation)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  roscpp
)

find_package(Eigen3 REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES quaternion_operation
  CATKIN_DEPENDS geometry_msgs roscpp
#  DEPENDS system_lib
)

include_directories(
  include
  ${EIGEN3_INCLUDE_DIR}
  ${catkin_INCLUDE_DIRS}
)

add_library(quaternion_operation src/quaternion_operation.cpp)
target_link_libraries(quaternion_operation ${catkin_LIBRARIES})

# install executables/libs
install(TARGETS quaternion_operation
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install header files
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest_gtest(test-quaternion_operation
  test/test_quaternion_operation.test
  test/src/test_quaternion_operation.cpp
  ${NODE_STATUS_PUBLISHER_SRC})
  target_link_libraries(test-quaternion_operation
  quaternion_operation
  ${catkin_LIBRARIES})
endif ()

=== debian/changelog ===
ros-melodic-quaternion-operation (0.0.3-2bionic) bionic; urgency=high



 -- Masaya Kataoka <ms.kataoka@gmail.com>  Sat, 25 May 2019 15:00:00 -0000

ros-melodic-quaternion-operation (0.0.2-2bionic) bionic; urgency=high

  * Merge pull request #8 <https://github.com/OUXT-Polaris/quaternion_operation/issues/8> from OUXT-Polaris/develop
    Develop
  * Merge branch 'master' into develop
  * Merge pull request #7 <https://github.com/OUXT-Polaris/quaternion_operation/issues/7> from OUXT-Polaris/feature/shared_object
    Feature/shared object
  * fix typo
  * add quaternion_operation .so
  * Merge pull request #5 <https://github.com/OUXT-Polaris/quaternion_operation/issues/5> from OUXT-Polaris/feature/euler_quat_converion
    Feature/euler quat converion
  * add test case
  * add quaternion_operation::convertEulerAngleToQuaternion function
  * Update issue templates
  * Merge branch 'master' of https://github.com/OUXT-Polaris/quaternion_operation
  * fix roataion function
  * Merge pull request #3 <https://github.com/OUXT-Polaris/quaternion_operation/issues/3> from sloretz/patch-1
    Fixed typo in license name
  * Fixed typo in license name
  * update CHANGELOG
  * fix operator *
  * Contributors: Masaya Kataoka, MasayaKataoka, Shane Loretz
  * fix operator *
  * Contributors: Masaya Kataoka

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Sat, 25 May 2019 15:00:00 -0000

ros-melodic-quaternion-operation (0.0.1-2bionic) bionic; urgency=high

  * add mainpage
  * add documents for All functions
  * update .gitignore
  * add rosdoc
  * add getRotation test
  * add getRoataion function
  * add slerp function
  * add eigen to the depends
  * add test
  * update package.xml
  * update .travis.yml
  * add test
  * initial commit
  * Contributors: Masaya Kataoka, MasayaKataoka

 -- Masaya Kataoka <ms.kataoka@gmail.com>  Sat, 20 Apr 2019 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-quaternion-operation
Section: misc
Priority: extra
Maintainer: Masaya Kataoka <ms.kataoka@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-roscpp, ros-melodic-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-quaternion-operation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-melodic-geometry-msgs, ros-melodic-roscpp, ros-melodic-rostest
Description: The quaternion_operation package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-quaternion-operation//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
